﻿using UnityEngine;

public class RopeManagerV3Tester : MonoBehaviour
{
	[SerializeField] RopeManagerV3 rm;
	[SerializeField] float targetHeight = 0f;

	void Start()
	{
		if (rm == null) Debug.LogError("テスト対象のRopeManagerV3がありません");
	}

	void Update()
	{
        if (Input.GetKeyDown(KeyCode.I))
            rm.Up(true);
        else if (Input.GetKeyUp(KeyCode.I))
            rm.Up(false);
        if (Input.GetKeyDown(KeyCode.K))
            rm.Down(true);
        else if (Input.GetKeyUp(KeyCode.K))
            rm.Down(false);

        if (Input.GetKeyDown(KeyCode.Z))
            Debug.Log("UpFinished: " + rm.CheckPos(1));
        if (Input.GetKeyDown(KeyCode.X))
            Debug.Log("DownFinished: " + rm.CheckPos(2));
        if (Input.GetKeyDown(KeyCode.C))
            Debug.Log("GoPositionFinished: " + rm.CheckPos(3));
    }
}
